# Asterisk Project : Asterisk 12 ManagerAction_Monitor

Added by wikibot , edited by wikibot on Aug 29, 2013

# Monitor

### Synopsis

Monitor a channel.

### Description

This action may be used to record the audio on a specified channel.

### Syntax

    Action: Monitor
    ActionID: <value>
    Channel: <value>
    File: <value>
    Format: <value>
    Mix: <value>

##### Arguments

- `ActionID` - ActionID for this transaction. Will be returned.
- `Channel` - Used to specify the channel to record.
- `File` - Is the name of the file created in the monitor spool directory. Defaults to the same name as the channel (with slashes replaced with dashes).
- `Format` - Is the audio recording format. Defaults to `wav`.
- `Mix` - Boolean parameter as to whether to mix the input and output channels together after the recording is finished.

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown